package com.bull.eclipse.jonas;

/*
 * (c) Copyright Bull SA 2003.
 * All Rights Reserved.
 */

public interface JonasPluginResources {

	static final String WIZARD_PROJECT_TITLE =
		JonasLauncherPlugin.getResourceString("wizard.project.title");

	static final String PREF_PAGE_SELECTALL_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.selectAll.label");

	static final String PREF_PAGE_UNSELECTALL_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.unselectAll.label");

	static final String PREF_PAGE_PROJECTINCP_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.projectsInCp.label");

	static final String PREF_PAGE_JVMSETTINGS_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.jvmSettings.label");

	static final String PREF_PAGE_PARAMETERS_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.parameters.label");

	static final String PREF_PAGE_JRE_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.jre.label");

	static final String PREF_PAGE_CLASSPATH_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.classpath.label");

	static final String PREF_PAGE_BOOTCLASSPATH_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.bootclasspath.label");

	static final String PREF_PAGE_CHOOSEVERSION_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.chooseversion.label");

	static final String PREF_PAGE_VERSION30_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.version30.label");

	static final String PREF_PAGE_VERSION31_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.version31.label");

	static final String PREF_PAGE_VERSION40_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.version40.label");

	static final String PREF_PAGE_VERSION41_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.version41.label");

	static final String PREF_PAGE_VERSION414_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.version414.label");

	static final String PREF_PAGE_HOME_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.home.label");

	static final String PREF_PAGE_BASE_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.base.label");

	static final String PREF_PAGE_DEBUGMODE_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.debugMode.label");

	static final String PREF_PAGE_CONSOLEIN_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.consoleIn.label");

	static final String PREF_PAGE_XTRACLASSPATH_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.xtraclasspath.label");

	static final String PREF_PAGE_ORB_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.orb.label");

	static final String PREF_PAGE_RMI_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.rmi.label");

	static final String PREF_PAGE_JEREMIE_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.jeremie.label");

	static final String WIZARD_PROJECT_CREATEWEBAPP_LABEL =
		JonasLauncherPlugin.getResourceString(
			"wizard.project.createwebapp.label");

	static final String WIZARD_PROJECT_CREATEEJB_LABEL =
		JonasLauncherPlugin.getResourceString("wizard.project.createejb.label");

	static final String WIZARD_PROJECT_CREATESRC_LABEL =
		JonasLauncherPlugin.getResourceString("wizard.project.createsrc.label");
	
	static final String WIZARD_PROJECT_EJBINPROJECT_LABEL =
		JonasLauncherPlugin.getResourceString("wizard.project.ejbinproject.label");

	static final String WIZARD_PROJECT_EXPORTSOURCE_LABEL =
		JonasLauncherPlugin.getResourceString(
			"wizard.project.exportSource.label");

	static final String WIZARD_PROJECT_RELOADABLE_LABEL =
		JonasLauncherPlugin.getResourceString(
			"wizard.project.reloadable.label");

	static final String WIZARD_PROJECT_REDIRECTLOGGER_LABEL =
		JonasLauncherPlugin.getResourceString(
			"wizard.project.redirectLogger.label");

	static final String WIZARD_PROJECT_WEBPATH_LABEL =
		JonasLauncherPlugin.getResourceString("wizard.project.webpath.label");

	static final String WIZARD_PROJECT_WEBSRC_LABEL =
		JonasLauncherPlugin.getResourceString("wizard.project.websrc.label");

	static final String WIZARD_PROJECT_EJBSRC_LABEL =
		JonasLauncherPlugin.getResourceString("wizard.project.ejbsrc.label");

	static final String WIZARD_PROJECT_WEBNAME_LABEL =
		JonasLauncherPlugin.getResourceString("wizard.project.webname.label");

	static final String WIZARD_PROJECT_EJBNAME_LABEL =
		JonasLauncherPlugin.getResourceString("wizard.project.ejbname.label");

	static final String WIZARD_PROJECT_ROOTDIR_LABEL =
		JonasLauncherPlugin.getResourceString("wizard.project.rootdir.label");

	static final String WIZARD_PROJECT_WARLOCATION_LABEL =
		JonasLauncherPlugin.getResourceString(
			"wizard.project.warLocation.label");

	static final String PROPERTIES_PAGE_PROJECT_ISJONASPROJECT_LABEL =
		JonasLauncherPlugin.getResourceString(
			"properties.page.project.isJonasProject.label");

	static final String WIZARD_PROJECT_MAINPAGE_TITLE =
		JonasLauncherPlugin.getResourceString("wizard.project.mainPage.title");

	static final String WIZARD_PROJECT_MAINPAGE_DESCRIPTION =
		JonasLauncherPlugin.getResourceString(
			"wizard.project.mainPage.description");

	static final String WIZARD_PROJECT_JONASPAGE_TITLE =
		JonasLauncherPlugin.getResourceString("wizard.project.jonasPage.title");

	static final String WIZARD_PROJECT_JONASPAGE_DESCRIPTION =
		JonasLauncherPlugin.getResourceString(
			"wizard.project.jonasPage.description");

	static final String PREF_PAGE_ADDBUTTON_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.addButton.label");

	static final String PREF_PAGE_ADDDIRBUTTON_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.addDirButton.label");

	static final String PREF_PAGE_ADDJARZIPBUTTON_LABEL =
		JonasLauncherPlugin.getResourceString(
			"pref.page.addJarZipButton.label");

	static final String PREF_PAGE_REMOVEBUTTON_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.removeButton.label");

	static final String PREF_PAGE_UPDATEBUTTON_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.updateButton.label");

	static final String PREF_PAGE_UPBUTTON_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.upButton.label");

	static final String PREF_PAGE_DOWNBUTTON_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.downButton.label");

	static final String PREF_PAGE_AUTOMATICDEPLOY_LABEL =
		JonasLauncherPlugin.getResourceString("pref.page.automaticdeploy.label");

	static final String WIZARD_PROJECT_REMOVE_TITLE =
		JonasLauncherPlugin.getResourceString("wizard.project.remove.title");

	static final String WIZARD_PROJECT_REMOVE_DESCRIPTION =
		JonasLauncherPlugin.getResourceString(
			"wizard.project.remove.description");

	static final String BROWSE_BUTTON_LABEL =
		JonasLauncherPlugin.getResourceString("browse.button.label");

	static final String PROPERTIES_PAGE_PROJECT_EXTRA_TAB_LABEL =
		JonasLauncherPlugin.getResourceString(
			"properties.page.project.extra.tab.label");

	static final String PROPERTIES_PAGE_PROJECT_GENERAL_TAB_LABEL =
		JonasLauncherPlugin.getResourceString(
			"properties.page.project.general.tab.label");

	static final String PROPERTIES_PAGE_PROJECT_ACTIVATE_DEVLOADER_LABEL =
		JonasLauncherPlugin.getResourceString(
			"properties.page.project.activate.devloader.label");

	static final String PREF_PAGE_LIST_SEPARATOR =
		JonasLauncherPlugin.getResourceString("pref.page.list.separator");

	static final String PROJECT_WAREXPORT_EXCLUDE_DIRECTORIES =
		JonasLauncherPlugin.getResourceString(
			"project.warExport.exclude.directories");

	static final String PROJECT_WAREXPORT_EXCLUDE_FILES =
		JonasLauncherPlugin.getResourceString(
			"project.warExport.exclude.files");

	static final String JONAS_EXTRA_RESOURCES_LABEL =
		JonasLauncherPlugin.getResourceString("jonas.extra.resources.label");

	static final String JONAS_BASE_CREATION_LABEL =
		JonasLauncherPlugin.getResourceString("jonas.base.creation.label");

	static final String JONAS_BASE_DIR_LABEL =
		JonasLauncherPlugin.getResourceString("jonas.base.dir.label");

	static final String JONAS_BASE_ERROR_LABEL =
		JonasLauncherPlugin.getResourceString("jonas.base.error.label");

	static final String DEPLOY_EJB_LABEL =
		JonasLauncherPlugin.getResourceString("deploy.ejb.label");

	static final String DEPLOY_EJB_NAME_LABEL =
		JonasLauncherPlugin.getResourceString("deploy.ejb.name.label");

	static final String UNDEPLOY_EJB_LABEL =
		JonasLauncherPlugin.getResourceString("undeploy.ejb.label");

	static final String UNDEPLOY_EJB_NAME_LABEL =
		JonasLauncherPlugin.getResourceString("undeploy.ejb.name.label");

	static final String BUILD_EJB_LABEL =
		JonasLauncherPlugin.getResourceString("build.ejb.label");

	static final String BUILD_EJB_NAME_LABEL =
		JonasLauncherPlugin.getResourceString("build.ejb.name.label");

	//  Generating Interfaces constants
	
	static final String GEN_INTERFACES_TITLE =
			JonasLauncherPlugin.getResourceString("gen.interfaces.title");
			
	static final String GEN_INTERFACES_MSG_LOCAL =
				JonasLauncherPlugin.getResourceString("gen.interfaces.msg.local");
				
	static final String GEN_INTERFACES_MSG_REMOTE =
				JonasLauncherPlugin.getResourceString("gen.interfaces.msg.remote");
				
	static final String GEN_INTERFACES_MSG_HOME =
				JonasLauncherPlugin.getResourceString("gen.interfaces.msg.home");
				
	static final String GEN_INTERFACES_MSG_LOCALH =
				JonasLauncherPlugin.getResourceString("gen.interfaces.msg.localh");

	static final String PREF_PAGE_DATABASE_LABEL =
				JonasLauncherPlugin.getResourceString("pref.page.database.key");

	static final String URL_DBM_LABEL =
				JonasLauncherPlugin.getResourceString("url.dbm.label");

	static final String DRIVER_DBM_LABEL =
				JonasLauncherPlugin.getResourceString("driver.dbm.label");

	static final String USER_DBM_LABEL =
				JonasLauncherPlugin.getResourceString("user.dbm.label");

	static final String PASSWORD_DBM_LABEL =
				JonasLauncherPlugin.getResourceString("password.dbm.label");

	static final String DATASOURCE_DBM_LABEL =
				JonasLauncherPlugin.getResourceString("datasource.dbm.label");

	static final String RDBMAPPER_DBM_LABEL =
				JonasLauncherPlugin.getResourceString("rdbmapper.dbm.label");

	static final String SCHEMA_DBM_LABEL =
				JonasLauncherPlugin.getResourceString("schema.dbm.label");

	static final String CATALOG_DBM_LABEL =
				JonasLauncherPlugin.getResourceString("catalog.dbm.label");

	static final String JDBC_DBM_LABEL =
				JonasLauncherPlugin.getResourceString("jdbc.dbm.label");

	static final String JONAS_RAR_CREATION_LABEL =
				JonasLauncherPlugin.getResourceString("jonas.rar.creation.label");

	static final String JONAS_RAR_NAME_LABEL =
				JonasLauncherPlugin.getResourceString("jonas.rar.name.label");
	
	static final String EJB_PACKAGE_TITLE_LABEL =
		JonasLauncherPlugin.getResourceString("ejb.package.title.label");

	static final String EJB_PACKAGE_MESSAGE_LABEL =
		JonasLauncherPlugin.getResourceString("ejb.package.message.label");

}
