package com.bull.eclipse.jonas;

/*
 * (c) Copyright Bull SA 2003.
 * All Rights Reserved.
 */

import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.IResourceChangeEvent;
import org.eclipse.core.resources.IResourceChangeListener;
import org.eclipse.swt.widgets.Display;
//MANUimport org.eclipse.ui.IWorkbenchWindow;
//MANUimport org.eclipse.ui.PlatformUI;

public class JonasProjectChangeListener implements IResourceChangeListener, JonasPluginResources {

	/*
	 * @see IResourceChangeListener#resourceChanged(IResourceChangeEvent)
	 */
	public void resourceChanged(IResourceChangeEvent event) {
		if( event.getResource() instanceof IProject) {
			final JonasProject project = JonasProject.create((IProject)event.getResource());
			if(project != null) {

				Display.getDefault().syncExec(
					new Runnable() {
						public void run() {
							/*MANU
							IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();

							String[] labels = {IDialogConstants.OK_LABEL, IDialogConstants.CANCEL_LABEL};
							MessageDialog dialog = new MessageDialog(
								window.getShell(),
								WIZARD_PROJECT_REMOVE_TITLE,
								null,
								WIZARD_PROJECT_REMOVE_DESCRIPTION,
								MessageDialog.QUESTION,
								labels,
								1);
								
							if (dialog.open() == MessageDialog.OK ) {
								try {
									project.removeContextInServerXML();
								} catch (Exception ex) {
									JonasLauncherPlugin.log(ex.getMessage());	
								}	
									
							}MANU*/
						}
					}
				);

	
			}		
		}
	}

}
