package com.bull.eclipse.jonas.actions;

 
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IActionDelegate;


/*
 * Abstract class for copying EAR/JAR/WAR files to the corresponding
 * autoload directory of JONAS_BASE.
 */

public abstract class	AbstractExportActionDelegate implements IActionDelegate
{

	private ISelection		selection;

	public void		run( IAction a )
	{
		/*
		if( selection instanceof IStructuredSelection
		&& !selection.isEmpty() ) {			
			Object o = ((IStructuredSelection)selection).getFirstElement();
			JonasLauncherPlugin.log("Object = " + o);
			if( o instanceof IFile ) {
				IFile f = (IFile)o;
				File source = f.getLocation().toFile();
				String jonasBase = JonasLauncherPlugin.getDefault().getBaseDir();
				File target = new File( jonasBase + "/" + targetDir() + "/" + f.getName());
				try {
					FileUtil.copyFile( source, target );
				}
				catch( IOException e ) {
					JonasLauncherPlugin.log( "JOPE: "
						+ "error copying " + source + " to " + target );
				}
			} else 
				if( o instanceof IFolder ) {
					IFolder f = (IFolder)o;
					File buildXML = f.getLocation().append("build.xml").toFile();
					JonasLauncherPlugin.log("Folder = " + buildXML);
					if (!buildXML.exists())
						MessageDialog.openInformation( null, "JOPE",
								"This package is not an EJB package" );
				} else {
				MessageDialog.openInformation( null, "JOPE",
					"Unable to operate on this selection (not a IFile and IFolder)" );
				}
		} else {
			Shell shell = JavaPlugin.getActiveWorkbenchShell();
			MessageDialog.openInformation( shell, "JOPE",
				"Unable to operate on this selection" );
		}
		*/
	}
	

	public void		selectionChanged( IAction a, ISelection sel )
	{
		selection = sel;
	}


	/*
	 * @return the directory structure subordinate to
	 * JONAS_BASE into which should be copied this particluar
	 * EAR/JAR/WAR file. (No leading or trailing file-separator
	 * characters should be included in the returned String.)
	 */
	abstract public String	targetDir();

}

