package com.bull.eclipse.jonas.actions.ejb;

/*
 * (c) Copyright Bull SA 2003.
 * All Rights Reserved.
 */

import java.io.File;
import java.util.Vector;

import org.eclipse.jdt.core.IPackageFragment;

import com.bull.eclipse.jonas.JonasLauncherPlugin;
import com.bull.eclipse.jonas.JonasProject;
import com.bull.eclipse.jonas.actions.JonasPackageAbstractActionDelegate;

public class UnDeployEjbActionDelegate extends JonasPackageAbstractActionDelegate {

	public boolean doActionOn(IPackageFragment pack) throws Exception {
		String packName = pack.getPath().removeFirstSegments(2).toOSString();
		JonasLauncherPlugin.log("PackName = " + packName);
		String jarName = null;
		JonasProject prj = JonasProject.create(pack.getJavaProject());
		Vector vec = prj.getPackageProjectFolder();
		if (vec != null)
			for (int i = 0; i < vec.size(); i++) {
				JonasLauncherPlugin.log("Element = " + vec.elementAt(i));
				if (vec.elementAt(i).toString().equals(packName)) {
					JonasLauncherPlugin.log("Element = " + vec.elementAt(i));
					jarName = prj.getJarEjbName().elementAt(i).toString();
					continue;
				}
			}		
		if (jarName == null) {
			jarName = packName.replace(File.separatorChar,'_');			
		}
		
//		if (jarName == null)
//			throw new Exception("The EJB does not exist");  
			
		JonasLauncherPlugin.log("ejbFile = " + jarName + ".jar");
		String[] options = {"-r", jarName + ".jar"};	
		JonasLauncherPlugin.getDefault().getJonasBootstrap().admin(options);			
		
		return false;
	}			

}

