package com.bull.eclipse.jonas.utils;

/*
 * (c) Copyright Bull SA 2003.
 * All Rights Reserved.
 */
 
import java.util.ArrayList;
import java.util.StringTokenizer;

public class StringUtil {

	/**
	 * Concat two arrays of Strings,
	 * part2 is appended to part1
	 */
	public static String[] concat(String[] part1, String[] part2) {
		String[] full = new String[part1.length + part2.length];
		System.arraycopy(part1, 0, full, 0, part1.length);
		System.arraycopy(part2, 0, full, part1.length, part2.length);
		return full;	
	}

	/**
	 * See StringTokenizer for delim parameter format 
	 */
	public static String[] cutString(String str, String delim) {
		ArrayList strings = new ArrayList();
		StringTokenizer tokenizer = new StringTokenizer(str, delim);
		while (tokenizer.hasMoreTokens()) {
			strings.add(tokenizer.nextToken());	
		}
		
		return (String[])strings.toArray(new String[0]);
	}

}
