package com.bull.eclipse.jonas.actions.rar;

/*
 * (c) Copyright Bull SA 2003.
 * All Rights Reserved.
 */

import org.eclipse.core.resources.IFolder;

import com.bull.eclipse.jonas.JonasLauncherPlugin;
import com.bull.eclipse.jonas.actions.JonasFolderAbstractActionDelegate;

public class UnDeployRarActionDelegate extends JonasFolderAbstractActionDelegate {

	public boolean doActionOn(IFolder fold) throws Exception {
		String rarFile = fold.getFullPath().lastSegment() + ".rar";		
		JonasLauncherPlugin.log("rarFile = " + rarFile);
		String[] options = {"-r", rarFile};	
		JonasLauncherPlugin.getDefault().getJonasBootstrap().admin(options);
		return false;
	}			

}

