package com.bull.eclipse.jonas.actions.war;

/*
 * (c) Copyright Bull SA 2003.
 * All Rights Reserved.
 */
 

import com.bull.eclipse.jonas.JonasLauncherPlugin;
import com.bull.eclipse.jonas.JonasProject;
import com.bull.eclipse.jonas.actions.JonasActionException;
import com.bull.eclipse.jonas.actions.JonasProjectAbstractActionDelegate;
import com.bull.eclipse.jonas.utils.AntUtils;
import com.bull.eclipse.jonas.utils.UpdatePropsFile;

public class ExportWarActionDelegate extends JonasProjectAbstractActionDelegate {
	
	public boolean doActionOn(JonasProject prj) throws Exception {		
		if(!prj.getWarLocation().equals("")) {
			// Update build.properties with JONAS_ROOT
			UpdatePropsFile.updatePropsProject(prj);		

			String buildFile = prj.getWebDirFolder().getFullPath().append("/build.xml").toOSString();
			JonasLauncherPlugin.log("Directory = " + buildFile);
			AntUtils.runAnt(buildFile);
			//TODO Deploy
			//DeployWarActionDelegate.deploy(prj.getWebContext() + ".war");			
		} else {
			throw new JonasActionException(JonasLauncherPlugin.getResourceString("msg.action.exportWAR.failed"));	
		}
		return false;
	}			

}

